> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.alephant.io/api-reference/saa-s-api/auth/exchange-git-hub-o-auth-code-for-access-token/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.alephant.io/_mcp/server. # Exchange GitHub OAuth code for access token POST https://alephant.io/api/v1/auth/oauth/github/exchange Content-Type: application/json Frontend sends the code from GitHub redirect; backend exchanges with GitHub and returns access_token. Frontend then calls POST /auth/login/oauth with it. Reference: https://developers.alephant.io/api-reference/saa-s-api/auth/exchange-git-hub-o-auth-code-for-access-token ## Servers - `https://alephant.io` (Production, default) - `https://dev.alephant.io` (Development) ## Request ### Body (application/json) This endpoint expects an internal_api_handlers_auth.GitHubExchangeRequest. - `code` (string, required) - `redirectUri` (string, required) ## Response ### 200 data: \{ accessToken } - `map from string to any` ## Errors ### 400 Bad Request Error VALIDATION_ERROR - `map from string to any` ### 401 Unauthorized Error AUTH_INVALID - `map from string to any` ## Examples **Request** ```json { "code": "string", "redirectUri": "string" } ``` **Response** ```json {} ``` **SDK Code** ```python import requests url = "https://alephant.io/api/v1/auth/oauth/github/exchange" payload = { "code": "string", "redirectUri": "string" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://alephant.io/api/v1/auth/oauth/github/exchange'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"code":"string","redirectUri":"string"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://alephant.io/api/v1/auth/oauth/github/exchange" payload := strings.NewReader("{\n \"code\": \"string\",\n \"redirectUri\": \"string\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://alephant.io/api/v1/auth/oauth/github/exchange") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"code\": \"string\",\n \"redirectUri\": \"string\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://alephant.io/api/v1/auth/oauth/github/exchange") .header("Content-Type", "application/json") .body("{\n \"code\": \"string\",\n \"redirectUri\": \"string\"\n}") .asString(); ``` ```php request('POST', 'https://alephant.io/api/v1/auth/oauth/github/exchange', [ 'body' => '{ "code": "string", "redirectUri": "string" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://alephant.io/api/v1/auth/oauth/github/exchange"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"code\": \"string\",\n \"redirectUri\": \"string\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [ "code": "string", "redirectUri": "string" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://alephant.io/api/v1/auth/oauth/github/exchange")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```